X
Tippen Sie hierhin, um die Version dieser Website für Mobilgeräte aufzurufen.

Hilfeforum

Thunderbird 68 update made all my addons inoperable

Veröffentlicht

I just updated Thunderbird to version 68. Now none of my addons work; indicated "incompatible".

I just updated Thunderbird to version 68. Now none of my addons work; indicated "incompatible".
Angefügte Screenshots
Zitieren

Mehr Details zum System

Anwendung

  • User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:68.0) Gecko/20100101 Firefox/68.0

Weitere Informationen

Toad-Hall
  • Top 10 Contributor
1769 Lösungen 11905 Antworten
Veröffentlicht

https://www.thunderbird.net/en-US/thunderbird/68.0/releasenotes/ Add-on support: Add-ons are only supported if add-on authors have adapted them.

Thunderbird is not reponsible for the addons with exception of Lightning Calendar which was integrated a while ago.

You would need to contact the author of the addon to inform them about their addon and ask if there is going to be an update on compatibility. There is a 'Support Email' link on the addon page at link below. https://addons.thunderbird.net/en-US/thunderbird/addon/grammar-checker/

https://www.thunderbird.net/en-US/thunderbird/68.0/releasenotes/ ''Add-on support: Add-ons are only supported if add-on authors have adapted them.'' Thunderbird is not reponsible for the addons with exception of Lightning Calendar which was integrated a while ago. You would need to contact the author of the addon to inform them about their addon and ask if there is going to be an update on compatibility. There is a 'Support Email' link on the addon page at link below. https://addons.thunderbird.net/en-US/thunderbird/addon/grammar-checker/
Hat Ihnen das weitergeholfen? 0
Zitieren
Mary
  • Top 25 Contributor
2 Lösungen 350 Antworten
Veröffentlicht

Hilfreiche Antwort

i updted to 68 but went back to 60

 want to keep my ad ons
is thunderbird going to ever  add new ones
i updted to 68 but went back to 60 want to keep my ad ons is thunderbird going to ever add new ones
Hat Ihnen das weitergeholfen? 1
Zitieren
Toad-Hall
  • Top 10 Contributor
1769 Lösungen 11905 Antworten
Veröffentlicht

It is not Thunderbird who creates the addons. They are created by individuals who might need a functionality and they have the ability to write the addon and they choose to offer it to others. Thunderbird then make sure it is ok before adding to the addon download webpage. The people who write and maintain the addon (including sorting out bugs and checking it works with current Thunderbird versions) are called the authors of the addon extensions and they rely on donations from people who use their addons to help maintain them as it does require a lot of time, skill and knowledge.

Some authors stop updating because it consumes too much time or personal issues intervene. Others stop because the required changes in the code are beyond their skillset and they do not have the time or ability to devote to learning all the new code. Sometimes other or new authors are willing to take on an existing addon to bring it up to date.

When Thunderbird updates, it is not just adding new functionality or design. More importantly, it includes bug and security fixes.

Sometimes you have to ask yourself if having an addon (in your case one that checks grammer) is more important than security/bug fixes.

But I can see your point of view. I also have a few addons I use alot and some I've had to let go and find an alternative.

I've sent an email to the author to see if there are any intentions of updating the addon. I'll post info if I get a reponse.

It is not Thunderbird who creates the addons. They are created by individuals who might need a functionality and they have the ability to write the addon and they choose to offer it to others. Thunderbird then make sure it is ok before adding to the addon download webpage. The people who write and maintain the addon (including sorting out bugs and checking it works with current Thunderbird versions) are called the authors of the addon extensions and they rely on donations from people who use their addons to help maintain them as it does require a lot of time, skill and knowledge. Some authors stop updating because it consumes too much time or personal issues intervene. Others stop because the required changes in the code are beyond their skillset and they do not have the time or ability to devote to learning all the new code. Sometimes other or new authors are willing to take on an existing addon to bring it up to date. When Thunderbird updates, it is not just adding new functionality or design. More importantly, it includes bug and security fixes. Sometimes you have to ask yourself if having an addon (in your case one that checks grammer) is more important than security/bug fixes. But I can see your point of view. I also have a few addons I use alot and some I've had to let go and find an alternative. I've sent an email to the author to see if there are any intentions of updating the addon. I'll post info if I get a reponse.
Hat Ihnen das weitergeholfen? 0
Zitieren
Mary
  • Top 25 Contributor
2 Lösungen 350 Antworten
Veröffentlicht

thank you like for instance i use emojis and some other addons that may not be compatible with thunderbird. thanks and yes please kep me posted

thank you like for instance i use emojis and some other addons that may not be compatible with thunderbird. thanks and yes please kep me posted
Hat Ihnen das weitergeholfen?
Zitieren
Mary
  • Top 25 Contributor
2 Lösungen 350 Antworten
Veröffentlicht

what if i chose not to update to 68 how do i stop it from updating

 I chose not to because i do not like how it starts up i do not like the fact that for a sec ond   when i  cklick on the icon   the image  bnelow comes up i  want it to just go directly to in box not see the account  thing
what if i chose not to update to 68 how do i stop it from updating I chose not to because i do not like how it starts up i do not like the fact that for a sec ond when i cklick on the icon the image bnelow comes up i want it to just go directly to in box not see the account thing
Hat Ihnen das weitergeholfen?
Zitieren
Mary
  • Top 25 Contributor
2 Lösungen 350 Antworten
Veröffentlicht

why is it necessary for that to come up I know its triial to you but it upsets me

why is it necessary for that to come up I know its triial to you but it upsets me
Hat Ihnen das weitergeholfen?
Zitieren
Toad-Hall
  • Top 10 Contributor
1769 Lösungen 11905 Antworten
Veröffentlicht

Thunderbird has to update to keep up with security, privacy, implementations to do with servers, etc etc and this is expected by users. Thunderbird, unlike many other email clients, allows the user to alter code as an example via userChrome.css and userContent.css files or importing addon extensions to change various visual aspects or perform addition functionality. In that respect nothing has changed.

But the necessary updates means other programs written by non Thunderbird people eg: Authors of Addon extensions also have to update. But that is down to the author and Thunderbird has no influence or control over what those authors choose to do. The authors have no responsibility to their users to update or their updates may be in the pipeline. All issues to do with a product that is not Thunderbird eg: Addon extensions needs to be discussed with whomever created that addon. The authors decision is theirs to make.

It is the same with programs such as Anti-Virus products, they also have to update to keep up to date with various changes to ensure they continue to offer security etc with programs like Thunderbird. Even people with websites have to update code to keep up with security or changes brought into place by eg: google search or suffer the consequences. This is normal practise.

If you want to stop any further updates, then that is also your choice baring in mind you are also not accepting any bug fixes or security updates or changes to various server updates, for example how Thunderbird had to update to accomodate the use of OAuth2 Authentication method for eg: gmail.

To stop checking for updates... In Thunderbird Menu icon > Options > Advanced > 'Update' tab select 'Never check for updates....' click on 'OK'

Thunderbird has to update to keep up with security, privacy, implementations to do with servers, etc etc and this is expected by users. Thunderbird, unlike many other email clients, allows the user to alter code as an example via userChrome.css and userContent.css files or importing addon extensions to change various visual aspects or perform addition functionality. In that respect nothing has changed. But the necessary updates means other programs written by non Thunderbird people eg: Authors of Addon extensions also have to update. But that is down to the author and Thunderbird has no influence or control over what those authors choose to do. The authors have no responsibility to their users to update or their updates may be in the pipeline. All issues to do with a product that is not Thunderbird eg: Addon extensions needs to be discussed with whomever created that addon. The authors decision is theirs to make. It is the same with programs such as Anti-Virus products, they also have to update to keep up to date with various changes to ensure they continue to offer security etc with programs like Thunderbird. Even people with websites have to update code to keep up with security or changes brought into place by eg: google search or suffer the consequences. This is normal practise. If you want to stop any further updates, then that is also your choice baring in mind you are also not accepting any bug fixes or security updates or changes to various server updates, for example how Thunderbird had to update to accomodate the use of OAuth2 Authentication method for eg: gmail. To stop checking for updates... In Thunderbird Menu icon > Options > Advanced > 'Update' tab select 'Never check for updates....' click on 'OK'
Hat Ihnen das weitergeholfen? 0
Zitieren
Mary
  • Top 25 Contributor
2 Lösungen 350 Antworten
Veröffentlicht

my question is only partially answered no one has yet addressed why i kep getting this problem why does it have to open although just a flash to this page why not go directly to in box. that and the extentions are the reason I will not update. I understand the need for security but it is annoying. I have an anti virus and many adblockers I am still consedering leaving Thunderbird which i have use many years and have up to now liked it. should we not being given choices when and if we want to update not have it done automatically. Firefox does the same thing. Id rather not disable the update feature but because Thunderbird continues to alway flash the acount page before the in box i will not and the addons s well. I do realize that it is the creator of these to add or update them. I have astar page addon but it no longer works with newer versions. Ihave manually sort folders but whe i update to new version i can not get that and i have it configured to in box. I use Thunderbird through Comcast web mail. I may just use that until Thunderbird can assure me that I will no longer have to see the flash of the account page everytime before the inbox comes up

my question is only partially answered no one has yet addressed why i kep getting this problem why does it have to open although just a flash to this page why not go directly to in box. that and the extentions are the reason I will not update. I understand the need for security but it is annoying. I have an anti virus and many adblockers I am still consedering leaving Thunderbird which i have use many years and have up to now liked it. should we not being given choices when and if we want to update not have it done automatically. Firefox does the same thing. Id rather not disable the update feature but because Thunderbird continues to alway flash the acount page before the in box i will not and the addons s well. I do realize that it is the creator of these to add or update them. I have astar page addon but it no longer works with newer versions. Ihave manually sort folders but whe i update to new version i can not get that and i have it configured to in box. I use Thunderbird through Comcast web mail. I may just use that until Thunderbird can assure me that I will no longer have to see the flash of the account page everytime before the inbox comes up
Hat Ihnen das weitergeholfen?
Zitieren
Mary
  • Top 25 Contributor
2 Lösungen 350 Antworten
Veröffentlicht

have no idea what you meam by the css files or how to alter them. give me an example or show me how to alter the css files. so i can get the add ons i want

 to me that  is too much altering. you said in above that the users  expect this I am sure not all do  I  for one do not
have no idea what you meam by the css files or how to alter them. give me an example or show me how to alter the css files. so i can get the add ons i want to me that is too much altering. you said in above that the users expect this I am sure not all do I for one do not
Hat Ihnen das weitergeholfen?
Zitieren
Mary
  • Top 25 Contributor
2 Lösungen 350 Antworten
Veröffentlicht

please show me where and how to change css files in thunderbird

please show me where and how to change css files in thunderbird
Hat Ihnen das weitergeholfen?
Zitieren
Mary
  • Top 25 Contributor
2 Lösungen 350 Antworten
Veröffentlicht

without updating how do i see what extentions are offered in 68.0.1

without updating how do i see what extentions are offered in 68.0.1
Hat Ihnen das weitergeholfen?
Zitieren
Mary
  • Top 25 Contributor
2 Lösungen 350 Antworten
Veröffentlicht

i have updated but these extentions still do not work afdter they day they do like the emoji I have sent you some attachments to show you that they are installed but are not working so this is why I want to go back the one i wanted the most emoji does not work yet it says it is an add on please help

i have updated but these extentions still do not work afdter they day they do like the emoji I have sent you some attachments to show you that they are installed but are not working so this is why I want to go back the one i wanted the most emoji does not work yet it says it is an add on please help
Hat Ihnen das weitergeholfen?
Zitieren
Mary
  • Top 25 Contributor
2 Lösungen 350 Antworten
Veröffentlicht

sorry but new version sucks

i am going back to  what  i had and hope for the  best
sorry but new version sucks i am going back to what i had and hope for the best
Hat Ihnen das weitergeholfen?
Zitieren
Mary
  • Top 25 Contributor
2 Lösungen 350 Antworten
Veröffentlicht

I have update now the emoji does not work says it is in the add ons but i can not put in to send so i have gone back to 60.90

I have update now the emoji does not work says it is in the add ons but i can not put in to send so i have gone back to 60.90
Hat Ihnen das weitergeholfen?
Zitieren
Toad-Hall
  • Top 10 Contributor
1769 Lösungen 11905 Antworten
Veröffentlicht

1. Altering .css does not make installed addons work. 2. Altering .css can improve things like make font size larger instead of using an addon. So it depends upon what sort of tweak you are looking to achieve as to whether it can be done via .css file.

3. re: without updating how do i see what extensions are offered in 68.0.1 Menu icon > Addons sometimes the currently downloaded/installed addon will offer the info. select the addon to show more information.

You can use the Addon extensions search field. Type something eg: Mail Merge in search click on arrow or press enter/return key You will see a list of options. select the name usually in blue link font. It might say what version you need for use: eg: for Mail Merge it says: Version 5.6.0 for Thunderbird 60: (RECOMMENDED) Mail Merge is fully compatible with Thunderbird 60. Please make sure to use version 5.6.0.

Version 6.0.0 for Thunderbird 68: Mail Merge is fully compatible with Thunderbird 68. Please make sure to use version 6.0.0.


You can use a browser to check what is currently offered. https://addons.thunderbird.net/ Use the various search features to locate an addon and see what information is offered.

So if you use Grammer Checker https://addons.thunderbird.net/en-US/thunderbird/addon/grammar-checker/

It will state what version(s) it can currently work with or what other versions are available depending upon what you are currently using. Apparently someone asked 20 days ago regarding support for version 68, but there is no response as yet.

In some cases you may find the original author created a version and has decided to stop, but another person has elected to step in and offer a version to cope with newest Thunderbird. eg: ImportExportTools Latest states it is suitable for versions 14 - 60 https://addons.thunderbird.net/en-US/thunderbird/addon/importexporttools/?src=search

ImportExportTools NG Latest states it is suitable for versions 60 - 69 https://addons.thunderbird.net/en-US/thunderbird/addon/importexporttools-ng/?src=ss

The author will sometimes offer more info and may actually state they are not going to upgrade. The content in the addon webpage is put there by the author. In some cases they also include links their own support forums or support email.



The following is something additional you are seeking an answer to and nothing to do with the original question:

If you select the 'mail account name folder' in Folder Pane then it will open on that same 'mail account name folder' and show the same details - eg as seen in image.

If you select eg: Inbox' and then close Thunderbird, it will open showing your Inbox. If this is not occurring then it is possible you have a program installed on your computer and you are allowing it to delete session etc files in Thunderbird.

CCleaner is an example of such a program, but there are also some Anti-Virus products that cause same issue. If you use CCleaner or similar, suggest you make thunderbird folders exempt from scanning or cleaning up of files.

1. Altering .css does not make installed addons work. 2. Altering .css can improve things like make font size larger instead of using an addon. So it depends upon what sort of tweak you are looking to achieve as to whether it can be done via .css file. 3. re: ''without updating how do i see what extensions are offered in 68.0.1'' Menu icon > Addons sometimes the currently downloaded/installed addon will offer the info. select the addon to show more information. You can use the Addon extensions search field. Type something eg: Mail Merge in search click on arrow or press enter/return key You will see a list of options. select the name usually in blue link font. It might say what version you need for use: eg: for Mail Merge it says: Version 5.6.0 for Thunderbird 60: (RECOMMENDED) Mail Merge is fully compatible with Thunderbird 60. Please make sure to use version 5.6.0. Version 6.0.0 for Thunderbird 68: Mail Merge is fully compatible with Thunderbird 68. Please make sure to use version 6.0.0. You can use a browser to check what is currently offered. https://addons.thunderbird.net/ Use the various search features to locate an addon and see what information is offered. So if you use Grammer Checker https://addons.thunderbird.net/en-US/thunderbird/addon/grammar-checker/ It will state what version(s) it can currently work with or what other versions are available depending upon what you are currently using. Apparently someone asked 20 days ago regarding support for version 68, but there is no response as yet. In some cases you may find the original author created a version and has decided to stop, but another person has elected to step in and offer a version to cope with newest Thunderbird. eg: ImportExportTools Latest states it is suitable for versions 14 - 60 https://addons.thunderbird.net/en-US/thunderbird/addon/importexporttools/?src=search ImportExportTools NG Latest states it is suitable for versions 60 - 69 https://addons.thunderbird.net/en-US/thunderbird/addon/importexporttools-ng/?src=ss The author will sometimes offer more info and may actually state they are not going to upgrade. The content in the addon webpage is put there by the author. In some cases they also include links their own support forums or support email. ------------------------------- The following is something additional you are seeking an answer to and nothing to do with the original question: If you select the 'mail account name folder' in Folder Pane then it will open on that same 'mail account name folder' and show the same details - eg as seen in image. If you select eg: Inbox' and then close Thunderbird, it will open showing your Inbox. If this is not occurring then it is possible you have a program installed on your computer and you are allowing it to delete session etc files in Thunderbird. CCleaner is an example of such a program, but there are also some Anti-Virus products that cause same issue. If you use CCleaner or similar, suggest you make thunderbird folders exempt from scanning or cleaning up of files.
Hat Ihnen das weitergeholfen? 0
Zitieren
Toad-Hall
  • Top 10 Contributor
1769 Lösungen 11905 Antworten
Veröffentlicht

All of those listed in image are shown as enabled and should be working. I presume you fully removed the old versions first. then downloaded and installed new versions. then restarted thunderbird.

If no then suggest you uninstall addons, exit thunderbird to fully remove. Start Thunderbird then Download and repeat installation of addons restart thunderbird to fully enable because they do work.

As a test, I have just downloaded Emoji It works perfectly ok and I'm using 68.1.0 There was a button on the Toolbar, I clicked it and the Emoji loaded. Alternative 'View' and select 'Emoji' Of course you have to open a new Write message, it is not going to work in a Write message that was opened prior to installation of upgrade.


ImportExportTools NG 4.0.4 should be working with version 68.1.0 But are you using the most up to date version, does it need updating ?

If you are using 4.0.4 then it would be useful to let the author what is not working, so they have the opportunity to fix. They have gone to alot of trouble to write that code, so are likely to respond favourably to information.

Xpunge says it works with version 68. https://addons.thunderbird.net/en-US/thunderbird/addon/xpunge/?src=ss Emoji says it works with version 68 https://addons.thunderbird.net/en-US/thunderbird/addon/emojiaddin/?src=ss

All of those listed in image are shown as enabled and should be working. I presume you fully removed the old versions first. then downloaded and installed new versions. then restarted thunderbird. If no then suggest you uninstall addons, exit thunderbird to fully remove. Start Thunderbird then Download and repeat installation of addons restart thunderbird to fully enable because they do work. As a test, I have just downloaded Emoji It works perfectly ok and I'm using 68.1.0 There was a button on the Toolbar, I clicked it and the Emoji loaded. Alternative 'View' and select 'Emoji' Of course you have to open a new Write message, it is not going to work in a Write message that was opened prior to installation of upgrade. ImportExportTools NG 4.0.4 should be working with version 68.1.0 But are you using the most up to date version, does it need updating ? If you are using 4.0.4 then it would be useful to let the author what is not working, so they have the opportunity to fix. They have gone to alot of trouble to write that code, so are likely to respond favourably to information. Xpunge says it works with version 68. https://addons.thunderbird.net/en-US/thunderbird/addon/xpunge/?src=ss Emoji says it works with version 68 https://addons.thunderbird.net/en-US/thunderbird/addon/emojiaddin/?src=ss

Geändert am von Toad-Hall

Hat Ihnen das weitergeholfen?
Zitieren
Toad-Hall
  • Top 10 Contributor
1769 Lösungen 11905 Antworten
Veröffentlicht

You can use whatever version you want that is your choice, but for me Emoji 's could never be considered worth more than security updates or bug fixes.

As I said, something has gone amiss when you did the install. You did not mention whether you had fully uninstalled the older versions first. Those addons work in 68.

You can use whatever version you want that is your choice, but for me Emoji 's could never be considered worth more than security updates or bug fixes. As I said, something has gone amiss when you did the install. You did not mention whether you had fully uninstalled the older versions first. Those addons work in 68.
Hat Ihnen das weitergeholfen?
Zitieren
Mary
  • Top 25 Contributor
2 Lösungen 350 Antworten
Veröffentlicht

yes i went to ad remove programs and uninstalled the older version

and   could not get those add on to work in 68/. first thought  i tried installing over it
yes i went to ad remove programs and uninstalled the older version and could not get those add on to work in 68/. first thought i tried installing over it
Hat Ihnen das weitergeholfen?
Zitieren
Mary
  • Top 25 Contributor
2 Lösungen 350 Antworten
Veröffentlicht

when i try to open the emoji you stared above it only gives me the otion to save file or oe in firefox if i ry to open it says its not verified

when i try to open the emoji you stared above it only gives me the otion to save file or oe in firefox if i ry to open it says its not verified
Hat Ihnen das weitergeholfen?
Zitieren
Mary
  • Top 25 Contributor
2 Lösungen 350 Antworten
Veröffentlicht

same with xpunge says it is not verified

when  i click  the link you provided
above I have to save file and drag
 to  adons
same with xpunge says it is not verified when i click the link you provided above I have to save file and drag to adons
Hat Ihnen das weitergeholfen?
Zitieren
Stellen Sie eine Frage

Sie müssen sich mit Ihrem Benutzerkonto anmelden, um auf Beiträge zu antworten. Bitte stellen Sie eine neue Frage, wenn Sie noch kein Benutzerkonto haben.